org.cpsolver.studentsct.model

## Enum Request.RequestPriority

- java.lang.Object
- - java.lang.Enum<Request.RequestPriority>
  - - org.cpsolver.studentsct.model.Request.RequestPriority

- All Implemented Interfaces:
    Serializable, Comparable<Request.RequestPriority>
  Enclosing class:
    Request

      public static enum Request.RequestPriority
      extends Enum<Request.RequestPriority>

  Importance of the request for the student to progress towards his/her degree. The request priority is used to re-order course priorities (if desired), and to assign requests of a higher priority first (before requests of a lower priority).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Critical`
    `Important`
    `Normal`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbbreviation()`
    `Double` | `getBoost()`
    `boolean` | `isCritical(Request r)`
    `boolean` | `isHigher(Request r)`
    `boolean` | `isSame(Request r)`
    `static Request.RequestPriority` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Request.RequestPriority[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Critical

          public static final Request.RequestPriority Critical

    - #### Important

          public static final Request.RequestPriority Important

    - #### Normal

          public static final Request.RequestPriority Normal

  - ### Method Detail

    - #### values

          public static Request.RequestPriority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Request.RequestPriority c : Request.RequestPriority.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Request.RequestPriority valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAbbreviation

          public String getAbbreviation()

    - #### getBoost

          public Double getBoost()

    - #### isCritical

          public boolean isCritical(Request r)

    - #### isHigher

          public boolean isHigher(Request r)

    - #### isSame

          public boolean isSame(Request r)